# This is a sample build configuration for PHP.
# Check our guides at https://confluence.atlassian.com/x/e8YWN for more examples.
# Only use spaces to indent your .yml configuration.
# ------
# You can specify a custom docker image from Docker Hub as your build environment.
image: php:7.2

pipelines:
  branches:
    master:
      - step:
          name: Deploy to staging
          deployment: staging
          script:
            - apt-get update
            - apt-get -qq install git-ftp
            - git ftp push --user $FTP_username --passwd $FTP_password ftp://ftp.superfon.sajtic-projects.com/
    staging:
      - step:
          name: Deploy to staging
          deployment: staging
          script:
            - apt-get update
            - apt-get -qq install git-ftp
            - git ftp push --user $FTP_username_sh --passwd $FTP_password_sh ftp://ftp.superfon.rs
    live:
      - step:
          name: Deploy to production
          deployment: staging
          script:
            - apt-get update
            - apt-get -qq install git-ftp
            - git ftp push --user $FTP_username_live --passwd $FTP_password_live ftp://ftp.superfon.rs
    

